## tinycdb 0.73

=== Makefile ===
# $Id: Makefile,v 1.5 2002/07/22 09:51:44 mjt Exp $
# make file for tinycdb package
#
# This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
# Public domain.

NAME = tinycdb
VERSION = 0.73

prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
libdir=$(exec_prefix)/lib
includedir=$(prefix)/include
mandir=$(prefix)/man
DESTDIR=

CC = cc
CFLAGS = -O
AR = ar
ARFLAGS = rv
RANLIB = ranlib
SED = sed

LSRCS = cdb_init.c cdb_find.c cdb_findnext.c cdb_seek.c cdb_unpack.c \
 cdb_make_add.c cdb_make_put.c cdb_make_find.c cdb_make.c cdb_hash.c

DISTFILES = Makefile cdb.h.in cdb_int.h $(LSRCS) cdb.c \
 cdb.3.in cdb.1.in cdb.5.in \
 tinycdb.spec.in tinycdb.spec tests.sh tests.ok \
 ChangeLog

MANS = cdb.1 cdb.3 cdb.5

all: libcdb.a cdb $(MANS)

LOBJS = $(LSRCS:.c=.o)

libcdb.a: $(LOBJS)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LOBJS)
	-$(RANLIB) $@

cdb: cdb.o libcdb.a
	$(CC) $(CFLAGS) -o $@ cdb.o libcdb.a

.c.o:
	$(CC) $(CFLAGS) -c $<

$(LOBJS) cdb.o: cdb.h
$(LOBJS): cdb_int.h

subst = sed -e 's|@VERSION@|$(VERSION)|' -e 's|@NAME@|$(NAME)|' $< > $@.tmp \
 && mv -f $@.tmp $@

cdb.h: cdb.h.in Makefile
	$(subst)
cdb.1: cdb.1.in Makefile
	$(subst)
cdb.3: cdb.3.in Makefile
	$(subst)
cdb.5: cdb.5.in Makefile
	$(subst)

spec: tinycdb.spec

tinycdb.spec: tinycdb.spec.in Makefile
	sed 's|^Version:.*|Version: $(VERSION)|' tinycdb.spec.in > $@.tmp
	mv $@.tmp $@

clean:
	-rm -f *.o core *~
realclean distclean:
	-rm -f *.o core *~ libcdb.a cdb cdb.h tinycdb.spec $(MANS)

test tests check: cdb
	sh ./tests.sh ./cdb > tests.out 2>&1
	diff tests.ok tests.out
	@echo All tests passed

install: all
	@set -- \
	 cdb.h $(includedir) \
	 libcdb.a $(libdir) \
	 cdb.3 $(mandir)/man3 \
	 cdb $(bindir) \
	 cdb.1 $(mandir)/man1 \
	 cdb.5 $(mandir)/man5 \
	 ; \
	while [ $$# -gt 0 ] ; do \
	 d="$(DESTDIR)$$2" ; echo "installing $$d/$$1"; \
	 [ -d "$$d" ] || mkdir -p "$$d" || exit 1 ; \
	 cp -p $$1 "$$d/$$1" || exit 1; \
	 shift 2; \
	done

DNAME = $(NAME)-$(VERSION)
dist: $(DNAME).tar.gz
$(DNAME).tar.gz: $(DISTFILES)
	rm -fr $(DNAME)
	mkdir $(DNAME)
	ln $(DISTFILES) $(DNAME)/
	tar cfz $@ $(DNAME)
	rm -fr $(DNAME)

.PHONY: all clean realclean test tests check install dist spec

## tinycdb 0.74

=== Makefile ===
# $Id: Makefile,v 1.16 2003/11/03 22:28:20 mjt Exp $
# make file for tinycdb package
#
# This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
# Public domain.

NAME = tinycdb
VERSION = 0.74

prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
libdir=$(exec_prefix)/lib
syslibdir=$(libdir)
sysconfdir=/etc
includedir=$(prefix)/include
mandir=$(prefix)/man
DESTDIR=

CC = cc
CFLAGS = -O
CFLAGS_PIC = -fpic
CFLAGS_SHARED = -shared
CFLAGS_SONAME = -Wl,--soname,
AR = ar
ARFLAGS = rv
RANLIB = ranlib
SED = sed

NSS_CDB = libnss_cdb.so.2
LIBBASE = libcdb
LIB = $(LIBBASE).a
PICLIB = $(LIBBASE)_pic.a
SHAREDLIB = $(LIBBASE).so.1
CDB_USELIB = $(LIB)
NSS_USELIB = $(PICLIB)

LIB_SRCS = cdb_init.c cdb_find.c cdb_findnext.c cdb_seq.c cdb_seek.c \
 cdb_unpack.c \
 cdb_make_add.c cdb_make_put.c cdb_make_find.c cdb_make.c cdb_hash.c
NSS_SRCS = nss_cdb.c nss_cdb-passwd.c nss_cdb-group.c nss_cdb-spwd.c

DISTFILES = Makefile cdb.h.in cdb_int.h $(LIB_SRCS) cdb.c \
 $(NSS_SRCS) nss_cdb.h nss_cdb-Makefile \
 cdb.3.in cdb.1.in cdb.5.in \
 tinycdb.spec.in tinycdb.spec tests.sh tests.ok \
 ChangeLog NEWS

MANS = cdb.1 cdb.3 cdb.5

all: $(LIB) cdb $(MANS)
nss: $(NSS_CDB)
pic: $(PICLIB)
shared: $(SHAREDLIB)
nss-shared: $(NSS_CDB)-shared

LIB_OBJS = $(LIB_SRCS:.c=.o)
LIB_OBJS_PIC = $(LIB_SRCS:.c=.po)
NSS_OBJS = $(NSS_SRCS:.c=.po)

$(LIB): $(LIB_OBJS)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS)
	-$(RANLIB) $@

$(PICLIB): $(LIB_OBJS_PIC)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS_PIC)
	-$(RANLIB) $@

$(SHAREDLIB): $(LIB_OBJS_PIC)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(CFLAGS_SONAME)$(SHAREDLIB) $(LIB_OBJS_PIC)

cdb: cdb.o $(CDB_USELIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(CDB_USELIB)
cdb-shared: cdb.o $(SHAREDLIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(SHAREDLIB)

$(NSS_CDB): $(NSS_OBJS) $(NSS_USELIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(NSS_OBJS) $(NSS_USELIB)
	cp -p nss_cdb-Makefile cdb-Makefile
$(NSS_CDB)-shared: $(NSS_OBJS) $(SHAREDLIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(NSS_OBJS) $(SHAREDLIB)

.SUFFIXES:
.SUFFIXES: .c .o .po

.c.o:
	$(CC) $(CFLAGS) -c $<
.c.po:
	$(CC) $(CFLAGS) $(CFLAGS_PIC) -c -o $@ $<

cdb.o: cdb.h
$(LIB_OBJS) $(LIB_OBJS_PIC): cdb_int.h cdb.h
$(NSS_OBJS): nss_cdb.h cdb.h

subst = sed -e 's|@VERSION@|$(VERSION)|' -e 's|@NAME@|$(NAME)|' $< > $@.tmp \
 && mv -f $@.tmp $@

cdb.h: cdb.h.in Makefile
	$(subst)
cdb.1: cdb.1.in Makefile
	$(subst)
cdb.3: cdb.3.in Makefile
	$(subst)
cdb.5: cdb.5.in Makefile
	$(subst)

spec: tinycdb.spec

tinycdb.spec: tinycdb.spec.in Makefile
	sed 's|^Version:.*|Version: $(VERSION)|' tinycdb.spec.in > $@.tmp
	mv $@.tmp $@

clean:
	-rm -f *.o *.po core *~ tests.out
realclean distclean:
	-rm -f *.o *.po core *~ $(LIBBASE)* $(NSS_CDB)* cdb cdb-shared cdb.h tinycdb.spec cdb-Makefile $(MANS)

test tests check: cdb
	sh ./tests.sh ./cdb > tests.out 2>&1
	diff tests.ok tests.out
	@echo All tests passed

do_install = \
 while [ "$$1" ] ; do \
   d=$(DESTDIR)$$3 ; echo installing $$d/$$1; \
   [ -d $$d ] || mkdir -p $$d || exit 1 ; \
   cp $$1 $$d/$$1 || exit 1; \
   chmod 0$$2 $$d/$$1 || exit 1; \
   shift 3; \
 done

install-all: all
	set -- \
	 cdb.h 644 $(includedir) \
	 cdb.3 644 $(mandir)/man3 \
	 cdb.1 644 $(mandir)/man1 \
	 cdb.5 644 $(mandir)/man5 \
	 cdb 755 $(bindir) \
	 libcdb.a 644 $(libdir) \
	 ; \
	$(do_install)
install-nss: nss
	@set -- $(NSS_CDB) 644 $(syslibdir) \
	        cdb-Makefile 644 $(sysconfdir) ; \
	$(do_install)
install-shared: shared
	@set -- $(SHAREDLIB) 644 $(libdir) ; \
	$(do_install) ; \
	ln -sf $(SHAREDLIB) $(libdir)/$(LIBBASE).so
install-pic: pic
	@set -- $(PICLIB) 644 $(libdir) ; \
	$(do_install)
install: install-all

DNAME = $(NAME)-$(VERSION)
dist: $(DNAME).tar.gz
$(DNAME).tar.gz: $(DISTFILES)
	rm -fr $(DNAME)
	mkdir $(DNAME)
	ln $(DISTFILES) $(DNAME)/
	tar cfz $@ $(DNAME)
	rm -fr $(DNAME)

.PHONY: all clean realclean test tests check dist spec
.PHONY: install install-all install-shared install-pic install-nss
.PHONY: shared nss pic nss-shared

## tinycdb 0.75

=== Makefile ===
# $Id: Makefile,v 1.24 2005/08/23 16:22:03 mjt Exp $
# make file for tinycdb package
#
# This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
# Public domain.

VERSION = 0.75

prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
libdir=$(exec_prefix)/lib
syslibdir=$(libdir)
sysconfdir=/etc
includedir=$(prefix)/include
mandir=$(prefix)/man
DESTDIR=

CC = cc
CFLAGS = -O
CFLAGS_PIC = -fPIC
CFLAGS_SHARED = -shared
CFLAGS_SONAME = -Wl,--soname,
AR = ar
ARFLAGS = rv
RANLIB = ranlib

NSS_CDB = libnss_cdb.so.2
LIBBASE = libcdb
LIB = $(LIBBASE).a
PICLIB = $(LIBBASE)_pic.a
SHAREDLIB = $(LIBBASE).so.1
SOLIB = $(LIBBASE).so
CDB_USELIB = $(LIB)
NSS_USELIB = $(PICLIB)

LIB_SRCS = cdb_init.c cdb_find.c cdb_findnext.c cdb_seq.c cdb_seek.c \
 cdb_unpack.c \
 cdb_make_add.c cdb_make_put.c cdb_make.c cdb_hash.c
NSS_SRCS = nss_cdb.c nss_cdb-passwd.c nss_cdb-group.c nss_cdb-spwd.c

DISTFILES = Makefile cdb.h cdb_int.h $(LIB_SRCS) cdb.c \
 $(NSS_SRCS) nss_cdb.h nss_cdb-Makefile \
 cdb.3 cdb.1 cdb.5 \
 tinycdb.spec tests.sh tests.ok \
 ChangeLog NEWS

all: static
static: staticlib cdb
staticlib: $(LIB)
nss: $(NSS_CDB)
piclib: $(PICLIB)
sharedlib: $(SHAREDLIB)
nss-shared: $(NSS_CDB)-shared
shared: sharedlib cdb-shared

LIB_OBJS = $(LIB_SRCS:.c=.o)
LIB_OBJS_PIC = $(LIB_SRCS:.c=.lo)
NSS_OBJS = $(NSS_SRCS:.c=.lo)

$(LIB): $(LIB_OBJS)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS)
	-$(RANLIB) $@

$(PICLIB): $(LIB_OBJS_PIC)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS_PIC)
	-$(RANLIB) $@

$(SHAREDLIB): $(LIB_OBJS_PIC)
	-rm -f $(SOLIB)
	ln -s $@ $(SOLIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(CFLAGS_SONAME)$(SHAREDLIB) $(LIB_OBJS_PIC)

cdb: cdb.o $(CDB_USELIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(CDB_USELIB)
cdb-shared: cdb.o $(SHAREDLIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(SHAREDLIB)

$(NSS_CDB): $(NSS_OBJS) $(NSS_USELIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(NSS_OBJS) $(NSS_USELIB)
$(NSS_CDB)-shared: $(NSS_OBJS) $(SHAREDLIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ $(NSS_OBJS) $(SHAREDLIB)

.SUFFIXES:
.SUFFIXES: .c .o .lo

.c.o:
	$(CC) $(CFLAGS) -c $<
.c.lo:
	$(CC) $(CFLAGS) $(CFLAGS_PIC) -c -o $@ $<

cdb.o: cdb.h
$(LIB_OBJS) $(LIB_OBJS_PIC): cdb_int.h cdb.h
$(NSS_OBJS): nss_cdb.h cdb.h

clean:
	-rm -f *.o *.lo core *~ tests.out
realclean distclean:
	-rm -f *.o *.lo core *~ $(LIBBASE)* $(NSS_CDB)* cdb cdb-shared

test tests check: cdb
	sh ./tests.sh ./cdb > tests.out 2>&1
	diff tests.ok tests.out
	@echo All tests passed

do_install = \
 while [ "$$1" ] ; do \
   if [ .$$4 = .- ]; then f=$$1; else f=$$4; fi; \
   d=$(DESTDIR)$$3 ; echo installing $$d/$$f; \
   [ -d $$d ] || mkdir -p $$d || exit 1 ; \
   cp $$1 $$d/$$f || exit 1; \
   chmod 0$$2 $$d/$$f || exit 1; \
   shift 4; \
 done

install-all: all
	set -- \
	 cdb.h 644 $(includedir) - \
	 cdb.3 644 $(mandir)/man3 - \
	 cdb.1 644 $(mandir)/man1 - \
	 cdb.5 644 $(mandir)/man5 - \
	 cdb 755 $(bindir) - \
	 libcdb.a 644 $(libdir) - \
	 ; \
	$(do_install)
install-nss: nss
	@set -- $(NSS_CDB) 644 $(syslibdir) - \
	        nss_cdb-Makefile 644 $(sysconfdir) cdb-Makefile ; \
	$(do_install)
install-sharedlib: sharedlib
	@set -- $(SHAREDLIB) 644 $(libdir) - ; \
	$(do_install) ; \
	ln -sf $(SHAREDLIB) $(libdir)/$(LIBBASE).so
install-piclib: piclib
	@set -- $(PICLIB) 644 $(libdir) - ; \
	$(do_install)
install: install-all

DNAME = tinycdb-$(VERSION)
dist: $(DNAME).tar.gz
$(DNAME).tar.gz: $(DISTFILES)
	mkdir $(DNAME)
	ln $(DISTFILES) $(DNAME)/
	tar cfz $@ $(DNAME)
	rm -fr $(DNAME)

.PHONY: all clean realclean test tests check dist spec
.PHONY: static staticlib shared sharedlib nss piclib nss-shared
.PHONY: install install-all install-sharedlib install-piclib install-nss

=== debian/changelog ===
tinycdb (0.75) unstable; urgency=low

  * 0.75 release

  * debian packaging is now back to me.  Thank you Christian for doing
    packaging work for me, it is greatly apprecated.

  * build 4 packages out of the source base:
    - shared library libcdb1
    - development files libcdb-dev
    - utility tinycdb
    - nss module nss-cdb

  * rewrote cdb_make_put(CDB_PUT_REPLACE) to a) actually replace *all*
    duplicates, not just the first one, and b) perform real replace,
    by moving tail of .cdb file.  Also, always add new record to the
    end of the file, not to the place where a duplicate was found.

  * add cdb_make_put(CDB_PUT_REPLACE0) to zerofill all duplicates,
    which is faster than CDB_PUT_REPLACE but less accurate as it
    leaves gaps in the file.

  * ship libcdb_pic.a in the -dev package.

 -- Michael Tokarev <mjt@corpit.ru>  Tue, 23 Aug 2005 20:06:01 +0400

tinycdb (0.74-1) unstable; urgency=low

  * New upstream release.

 -- Christian Kurz <shorty@debian.org>  Wed, 28 Jul 2004 20:12:02 +0200

tinycdb (0.73-1) unstable; urgency=low

  * First Debian release, based on the debian directory that
    Michael Tokarev, the upstream author, had provided in the 
    package itself. So only some minor changes were necessary.

 -- Christian Kurz <shorty@debian.org>  Tue,  5 Nov 2002 10:36:59 +0100

tinycdb (0.72) unstable; urgency=low

  * cleaned up debian packaging and made it actually work
  * no code changes

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 13 Oct 2002 03:00:32 +0400

tinycdb (0.71) unstable; urgency=low

  * rearranged object files to not depend on ranlib on
    systems that requires it (i.e. OpenBSD)
  * use ranlib but mark it's possible error as non-fatal

 -- Michael Tokarev <mjt@corpit.ru>  Mon, 22 Jul 2002 13:35:14 +0400

tinycdb (0.7a) unstable; urgency=low

  * converted into CVS, added two missing #include <stdlib.h> for
    malloc declaration and spec target to the Makefile

 -- Michael Tokarev <mjt@corpit.ru>  Mon, 10 Dec 2001 00:21:17 +0300

tinycdb (0.7) unstable; urgency=low

  * added cdb_seek() and cdb_bread() routines as found
    in freecdb/cdb-0.64

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 14 Oct 2001 19:29:33 +0400

tinycdb (0.6) unstable; urgency=low

  * added another option, CDB_PUT_WARN, to cdb_make_put's
    flags (to allow adding unconditionally but still warn
    about dups), now cdb_make_put seems to be logically
    complete.
  * added and documented -r and -u options for cdb(1)
    command, and made them consistent with -w and -e
    also.
  * reorganized cdb(1) manpage and added changes made to
    cdb command.
  * added version references to manpages (and make them
    autogenerated to simplify maintenance).
  * added cdb(5) manpage describing CDB file format.

 -- Michael Tokarev <mjt@corpit.ru>  Thu, 26 Jul 2001 02:38:08 +0400

tinycdb (0.5) unstable; urgency=low

  * added missing #include <sys/types.h> in cdb_init.c,
    thanks to ppetru@ppetru.net (Petru Paler)
  * removed usage of pread() in cdb_make_find() and friends,
    suggested by Liviu Daia <Liviu.Daia@imar.ro>
  * autogenerate tinycdb.spec file from template and debian/changelog
  * autogenerate cdb.h from cdb.h.in (substituting version)

 -- Michael Tokarev <mjt@corpit.ru>  Wed, 25 Jul 2001 17:16:39 +0400

tinycdb (0.4) unstable; urgency=low

  * added cdb_make_put() routine to conditionnaly add a record
  * split cdb library to more files (finer granularity)
  * added cdb_findinit() and cdb_findnext() routines
  * renamed cdbtool to cdb
  * simplified cdb utility (dropped various format spec, changed options
    parsing) and a manpage
  * added small note and copyright to every file in package
  * added some testsuite (make test)

 -- Michael Tokarev <mjt@corpit.ru>  Fri, 29 Jun 2001 23:39:53 +0400

tinycdb (0.3) unstable; urgency=low

  * Initial Release.

 -- Michael Tokarev <mjt@corpit.ru>  Sun, 27 May 2001 16:38:58 +0400

=== debian/control ===
Source: tinycdb
Section: utils
Priority: optional
Maintainer: Michael Tokarev <mjt@corpit.ru>
Uploaders: Christian Kurz <shorty@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1
Origin: debian
Bugs: debbugs://bugs.debian.org

Package: tinycdb
Architecture: any
Depends: ${shlibs:Depends}
Description: an utility to manipulate constant databases (cdb)
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package contains command-line utility to create, analyze, dump
 and query cdb files.

Package: libcdb1
Architecture: any
Section: lib
Depends: ${shlibs:Depends}
Description: shared library for constant databases (cdb)
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package package provides shared library needed  to run programs
 using it.

Package: libcdb-dev
Architecture: any
Section: libdev
Depends: libcdb1 (= ${Source-Version})
Recommends: tinycdb
Description: development files for constant databases (cdb)
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package provides development files needed
 to build programs using cdb library.

Package: libnss-cdb
Architecture: any
Section: lib
Depends: ${shlibs:Depends}, tinycdb
Description: cdb-based nss (name service switch) module
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package provides a name service switch (nsswitch) module
 to use to index /etc/password files for fast access.
 This module works only for passwd, group and shadow databases,
 not for hosts, networks, services and others.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_COMPAT=4

CFLAGS = -Wall -W -g
# can't use -Wmissing-prototypes due to nss routines

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p
INSTALL_DATA = $(INSTALL) -p -m0644

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CDEFS += -DNDEBUG
endif

SOVER = 1

configure:	# nothing
	dh_testdir

build:	build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" \
		staticlib sharedlib cdb-shared nss
	cp -pf cdb-shared cdb
	cp -pf nss_cdb-Makefile cdb-Makefile
	touch $@

clean:
	dh_testdir
	rm -f build-stamp cdb-Makefile
	$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_installdocs -A NEWS

# libcdb$(SOVER)
	dh_install -plibcdb$(SOVER) libcdb.so.$(SOVER) usr/lib

# libcdb-dev
	dh_install -plibcdb-dev libcdb.a libcdb_pic.a libcdb.so usr/lib
	dh_install -plibcdb-dev cdb.h usr/include
	dh_installman -plibcdb-dev cdb.3
#	dh_installdocs -plibcdb-dev TODO

# tinycdb
	dh_install -ptinycdb cdb usr/bin
	dh_installman -ptinycdb cdb.1 cdb.5

# libnss-cdb
	dh_install -plibnss-cdb cdb-Makefile etc
	dh_install -plibnss-cdb libnss_cdb.so.2 lib

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libcdb$(SOVER) -l debian/libcdb$(SOVER)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tinycdb 0.76~bpo.1

=== Makefile ===
#! /usr/bin/make -rf
# $Id: Makefile,v 1.27 2006/06/28 15:17:37 mjt Exp $
# make file for tinycdb package
#
# This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
# Public domain.

VERSION = 0.76

prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
libdir=$(exec_prefix)/lib
syslibdir=$(libdir)
sysconfdir=/etc
includedir=$(prefix)/include
mandir=$(prefix)/man
NSSCDB_DIR = $(sysconfdir)
DESTDIR=

CC = cc
CFLAGS = -O

AR = ar
ARFLAGS = rv
RANLIB = ranlib

NSS_CDB = libnss_cdb.so.2
LIBBASE = libcdb
LIB = $(LIBBASE).a
PICLIB = $(LIBBASE)_pic.a
SHAREDLIB = $(LIBBASE).so.1
SOLIB = $(LIBBASE).so
CDB_USELIB = $(LIB)
NSS_USELIB = $(PICLIB)
LIBMAP = $(LIBBASE).map
INSTALLPROG = cdb

# The following assumes GNU CC/LD -
# used for building shared libraries only
CFLAGS_PIC = -fPIC
CFLAGS_SHARED = -shared
CFLAGS_SONAME = -Wl,--soname=
CFLAGS_VSCRIPT = -Wl,--version-script=

CP = cp

LIB_SRCS = cdb_init.c cdb_find.c cdb_findnext.c cdb_seq.c cdb_seek.c \
 cdb_unpack.c \
 cdb_make_add.c cdb_make_put.c cdb_make.c cdb_hash.c
NSS_SRCS = nss_cdb.c nss_cdb-passwd.c nss_cdb-group.c nss_cdb-spwd.c
NSSMAP = nss_cdb.map

DISTFILES = Makefile cdb.h cdb_int.h $(LIB_SRCS) cdb.c \
 $(NSS_SRCS) nss_cdb.h nss_cdb-Makefile \
 cdb.3 cdb.1 cdb.5 \
 tinycdb.spec tests.sh tests.ok \
 $(LIBMAP) $(NSSMAP) \
 ChangeLog NEWS
DEBIANFILES = debian/control debian/rules debian/copyright debian/changelog

all: static
static: staticlib cdb
staticlib: $(LIB)
nss: $(NSS_CDB)
piclib: $(PICLIB)
sharedlib: $(SHAREDLIB)
shared: sharedlib cdb-shared

LIB_OBJS = $(LIB_SRCS:.c=.o)
LIB_OBJS_PIC = $(LIB_SRCS:.c=.lo)
NSS_OBJS = $(NSS_SRCS:.c=.lo)

$(LIB): $(LIB_OBJS)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS)
	-$(RANLIB) $@

$(PICLIB): $(LIB_OBJS_PIC)
	-rm -f $@
	$(AR) $(ARFLAGS) $@ $(LIB_OBJS_PIC)
	-$(RANLIB) $@

$(SHAREDLIB): $(LIB_OBJS_PIC) $(LIBMAP)
	-rm -f $(SOLIB)
	ln -s $@ $(SOLIB)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ \
	 $(CFLAGS_SONAME)$(SHAREDLIB) $(CFLAGS_VSCRIPT)$(LIBMAP) \
	 $(LIB_OBJS_PIC)

cdb: cdb.o $(CDB_USELIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(CDB_USELIB)
cdb-shared: cdb.o $(SHAREDLIB)
	$(CC) $(CFLAGS) -o $@ cdb.o $(SHAREDLIB)

$(NSS_CDB): $(NSS_OBJS) $(NSS_USELIB) $(NSSMAP)
	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ \
	 $(CFLAGS_SONAME)$@ $(CFLAGS_VSCRIPT)$(NSSMAP) \
	 $(NSS_OBJS) $(NSS_USELIB)

.SUFFIXES:
.SUFFIXES: .c .o .lo

.c.o:
	$(CC) $(CFLAGS) -c $<
.c.lo:
	$(CC) $(CFLAGS) $(CFLAGS_PIC) -c -o $@ -DNSSCDB_DIR=\"$(NSSCDB_DIR)\" $<

cdb.o: cdb.h
$(LIB_OBJS) $(LIB_OBJS_PIC): cdb_int.h cdb.h
$(NSS_OBJS): nss_cdb.h cdb.h

clean:
	-rm -f *.o *.lo core *~ tests.out tests-shared.ok
realclean distclean:
	-rm -f *.o *.lo core *~ $(LIBBASE)[._][aps]* $(NSS_CDB)* cdb cdb-shared

test tests check: cdb
	sh ./tests.sh ./cdb > tests.out 2>&1
	diff tests.ok tests.out
	@echo All tests passed
test-shared tests-shared check-shared: cdb-shared
	sed 's/^cdb: /cdb-shared: /' <tests.ok >tests-shared.ok
	LD_LIBRARY_PATH=. sh ./tests.sh ./cdb-shared > tests.out 2>&1
	diff tests-shared.ok tests.out
	rm -f tests-shared.ok
	@echo All tests passed

do_install = \
 while [ "$$1" ] ; do \
   if [ .$$4 = .- ]; then f=$$1; else f=$$4; fi; \
   d=$(DESTDIR)$$3 ; echo installing $$1 to $$d/$$f; \
   [ -d $$d ] || mkdir -p $$d || exit 1 ; \
   $(CP) $$1 $$d/$$f || exit 1; \
   chmod 0$$2 $$d/$$f || exit 1; \
   shift 4; \
 done

install-all: all $(INSTALLPROG)
	set -- \
	 cdb.h 644 $(includedir) - \
	 cdb.3 644 $(mandir)/man3 - \
	 cdb.1 644 $(mandir)/man1 - \
	 cdb.5 644 $(mandir)/man5 - \
	 $(INSTALLPROG) 755 $(bindir) cdb \
	 libcdb.a 644 $(libdir) - \
	 ; \
	$(do_install)
install-nss: nss
	@set -- $(NSS_CDB) 644 $(syslibdir) - \
	        nss_cdb-Makefile 644 $(sysconfdir) cdb-Makefile ; \
	$(do_install)
install-sharedlib: sharedlib
	@set -- $(SHAREDLIB) 644 $(libdir) - ; \
	$(do_install) ; \
	ln -sf $(SHAREDLIB) $(DESTDIR)$(libdir)/$(LIBBASE).so
install-piclib: piclib
	@set -- $(PICLIB) 644 $(libdir) - ; \
	$(do_install)
install: install-all

DNAME = tinycdb-$(VERSION)
dist: $(DNAME).tar.gz
$(DNAME).tar.gz: $(DISTFILES) $(DEBIANFILES)
	mkdir $(DNAME) $(DNAME)/debian
	ln $(DISTFILES) $(DNAME)/
	ln $(DEBIANFILES) $(DNAME)/debian/
	tar cfz $@ $(DNAME)
	rm -fr $(DNAME)

.PHONY: all clean realclean dist spec
.PHONY: test tests check test-shared tests-shared check-shared
.PHONY: static staticlib shared sharedlib nss piclib
.PHONY: install install-all install-sharedlib install-piclib install-nss

=== debian/changelog ===
tinycdb (0.76~bpo.1) sarge-backports; urgency=low

  * rebuild for sarge

 -- Jan Wagner <waja@cyconet.org>  Wed,  6 Dec 2006 12:33:29 +0100

tinycdb (0.76) unstable; urgency=low

  * 0.76 release.
    Closes: #342849, #316253, #360129, #383417.
    Also closes: #299026, #344572.

  * manpage spelling fixes, from Claus Assmann <ca+tinycdb (at) esmtp.org>.

  * little mods to allow compiling tinycdb by C++ compiler,
    from Olly Betts <olly (at) survex.com>.

  * use program_invocation_short_name on GLIBC, (modified) patch
    from Dmitry V. Levin  <ldv (at) altlinux.org>

  * manpage fix (cdb_findnext() prototype),
    from Dmitry V. Levin <ldv (at) altlinux.org>

  * (somewhat silly) GCC-4.x "signedness" warnings fix, modified patch
    from Dmitry V. Levin  <ldv (at) altlinux.org>

  * more signed vs unsigned char* fixes in various places

  * Makefile: always build libnss_cdb.so with libcdb_pic.a, no nss-shared
    target: to avoid extra dependency from /usr/lib/.

  * Makefile: use map files for lib*.so, with explicit list of exported
    symbols.  This, in particular, avoids exporting of libcdb symbols by
    libnss_cdb.so.

  * mark all internal routines as internal_function (defined as
    __attribute__((visibility("hidden"))) for GCC)

  * Makefile: add tests-shared, to use cdb-shared for testing

  * Makefile: allow to specify which binary (shared vs static) to install
    in install target, by using INSTALLPROG variable

  * Makefile: pass -DNSSCDB_DIR=... to compiler when building .lo files,
    to allow setting of system config dir (/etc by default) on command line.
    For nss_cdb module.

  * Makefile: use $(CP) instead of cp, to be able to specify `cp' options
    (CP="cp -p")

  * Makefile: ship debian/ files in `dist' target as well, if not only
    for debian/changelog.

  * Makefile: bumped version to 0.76

  * Use unlink(tmpname) + open(O_CREAT|O_EXCL) instead of
    open(O_CREAT|O_TRUNC) when creating the new CDB file.
    And use O_NOFOLLOW if defined.
    This also works around some (probably) possible symlink attacks.

  * Add -p perms option for cdb utility, to specify mode (permission bits)
    for newly created .cdb file (default is 0666&umask(), -p forces the given
    mode).

  * allow tmpname (cdb -t) to be `-', to mean no temp file gets created.
    Also check if tmpname is the same as database name and don't try to
    rename() if it is.

  * rewrite nss_cdb-Makefile a bit: simplify it, and use more sane
    permission scheme for /etc/shadow

  * bumped Debian Standards-Version to 3.7.2 (no changes necessary).

  * fixed a typo in cdb_seek.c, -- it segfaulted if passed NULL dlenp
    pointer.  Thanks Daiki for the patch.  Closes: #383417

  * use MAP_FAILED to test mmap() return value, instead of hardcoded -1.

  * several minor fixes for debian/* files, thanks to Bernhard R. Link.

  * removed libnss_cdb Debian package, for now

  * libcdb-dev replaces tinycdb<0.76

 -- Michael Tokarev <mjt@corpit.ru>  Sat,  9 Sep 2006 13:55:10 +0400

=== debian/control ===
Source: tinycdb
Section: utils
Priority: optional
Maintainer: Michael Tokarev <mjt@corpit.ru>
Uploaders: Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: tinycdb
Architecture: any
Depends: ${shlibs:Depends}
Description: an utility to manipulate constant databases (cdb)
 tinycdb is a small, fast and reliable utility and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package contains a command-line utility to create, analyze, dump
 and query cdb files.

Package: libcdb1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: shared library for constant databases (cdb)
 tinycdb is a small, fast and reliable utility and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package package provides a shared library needed to run
 programs using it.

Package: libcdb-dev
Architecture: any
Section: libdevel
Depends: libcdb1 (= ${Source-Version})
Recommends: tinycdb
Replaces: tinycdb (<< 0.75)
Description: development files for constant databases (cdb)
 tinycdb is a small, fast and reliable utility and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading.
 .
 This package provides development files needed
 to build programs using cdb library.

## tinycdb 0.76

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: utils
 Priority: optional
 Maintainer: Michael Tokarev <mjt@corpit.ru>
-Uploaders: Jan Wagner <waja@cyconet.org>
 Build-Depends: debhelper (>= 4)
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -63,8 +63,8 @@
 	dh_installman -ptinycdb cdb.1 cdb.5
 
 # libnss-cdb
-	dh_install -plibnss-cdb cdb-Makefile etc
-	dh_install -plibnss-cdb libnss_cdb.so.2 lib
+#	dh_install -plibnss-cdb cdb-Makefile etc
+#	dh_install -plibnss-cdb libnss_cdb.so.2 lib
 
 binary-indep: build install

## tinycdb 0.77

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #! /usr/bin/make -rf
-# $Id: Makefile,v 1.27 2006/06/28 15:17:37 mjt Exp $
+# $Id: Makefile,v 1.28 2009-01-31 17:12:21 mjt Exp $
 # make file for tinycdb package
 #
 # This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
 # Public domain.
 
-VERSION = 0.76
+VERSION = 0.77
 
 prefix=/usr/local
 exec_prefix=$(prefix)

=== debian/changelog ===
tinycdb (0.77) unstable; urgency=low

  * manpage typo fixes.

  * in win32, close file mapping handle right after MapViewOfFile(),
    instead of doing it in cdb_close().  This eliminates handle leak
    on win32 platform.  And this is how mmap() works on unix, too.
    Thanks to David Boyce for this.

  * also for win32 platform, cdb.c (the utility):
    - open cdb files in binary mode
    - add windowsisms for include files
    Also thanks to David Boyce for the fixes.

  * fixed a bug in _cdb_make_fullwrite() - wrong logic in EINTR
    handling.
    Thanks to Florian Weimer.
    Closes: #511629.

  * install /usr/lib/pkgconfig/libcdb.pc from debian/rules.
    Closes: #446751, #446752.

  * lintian warnings:
    o moved $DH_COMPAT to deban/compat (=4)
    o set Standards-Version: 3.8.0 (no changes needed)
    o fixed "package package" in libcdb1 description (Closes: #442571)
    o s/${Source-Version}/${binary:Version}/

  * released 0.77

 -- Michael Tokarev <mjt@corpit.ru>  Sat, 31 Jan 2009 20:12:02 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Tokarev <mjt@corpit.ru>
 Build-Depends: debhelper (>= 4)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: tinycdb
 Architecture: any
@@ -25,13 +25,13 @@
  library for creating and reading constant databases. The database
  structure is tuned for fast reading.
  .
- This package package provides a shared library needed to run
+ This package provides a shared library needed to run
  programs using it.
 
 Package: libcdb-dev
 Architecture: any
 Section: libdevel
-Depends: libcdb1 (= ${Source-Version})
+Depends: libcdb1 (= ${binary:Version})
 Recommends: tinycdb
 Replaces: tinycdb (<< 0.75)
 Description: development files for constant databases (cdb)

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export DH_COMPAT=4
 
 CFLAGS = -Wall -W -g
 # can't use -Wmissing-prototypes due to nss routines
@@ -55,6 +53,7 @@
 # libcdb-dev
 	dh_install -plibcdb-dev libcdb.a libcdb_pic.a libcdb.so usr/lib
 	dh_install -plibcdb-dev cdb.h usr/include
+	dh_install -plibcdb-dev debian/libcdb.pc usr/lib/pkgconfig
 	dh_installman -plibcdb-dev cdb.3
 #	dh_installdocs -plibcdb-dev TODO

## tinycdb 0.77build1

=== debian/changelog ===
tinycdb (0.77build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 01:09:14 +0100

## tinycdb 0.78

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: tinycdb
 Section: utils
 Priority: optional
-Maintainer: Michael Tokarev <mjt@corpit.ru>
-Build-Depends: debhelper (>= 4)
-Standards-Version: 3.8.0
+Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.3
 
 Package: tinycdb
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: an utility to manipulate constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
  library for creating and reading constant databases. The database
@@ -19,7 +19,9 @@
 Package: libcdb1
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: shared library for constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
  library for creating and reading constant databases. The database
@@ -31,7 +33,7 @@
 Package: libcdb-dev
 Architecture: any
 Section: libdevel
-Depends: libcdb1 (= ${binary:Version})
+Depends: libcdb1 (= ${binary:Version}), ${misc:Depends}
 Recommends: tinycdb
 Replaces: tinycdb (<< 0.75)
 Description: development files for constant databases (cdb)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LIBDIR = /usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) \
 $(shell dpkg-buildflags --get CPPFLAGS) \
 -Wall -W
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

SOVER = 1

configure:	# nothing
	dh_testdir

build-arch: libcdb.pc
libcdb.pc:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		staticlib sharedlib cdb-shared nss
	cp -pf nss_cdb-Makefile cdb-Makefile
	cp -pf cdb-shared cdb
	sed 's/@VERSION@/$(shell sed -n 's/^VERSION *= *//p' Makefile)/' debian/libcdb.pc > $@

clean:
	dh_testdir
	rm -f cdb-Makefile libcdb.pc
	$(MAKE) distclean
	dh_clean

build-indep:
build: build-arch

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdocs -A NEWS

# libcdb$(SOVER)
	dh_install -plibcdb$(SOVER) libcdb.so.$(SOVER) $(LIBDIR)

# libcdb-dev
	dh_install -plibcdb-dev libcdb.a libcdb_pic.a libcdb.so $(LIBDIR)
	dh_install -plibcdb-dev cdb.h usr/include
	dh_install -plibcdb-dev libcdb.pc $(LIBDIR)/pkgconfig
	dh_installman -plibcdb-dev cdb.3
#	dh_installdocs -plibcdb-dev TODO

# tinycdb
	dh_install -ptinycdb cdb usr/bin
	dh_installman -ptinycdb cdb.1 cdb.5

# libnss-cdb
#	dh_install -plibnss-cdb cdb-Makefile etc
#	dh_install -plibnss-cdb libnss_cdb.so.2 lib

binary-indep:

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libcdb$(SOVER) -l debian/libcdb$(SOVER)$(LIBDIR)
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

.PHONY: clean configure install
.PHONY: build build-indep build-arch binary binary-indep binary-arch

## tinycdb 0.78build1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #! /usr/bin/make -rf
-# $Id: Makefile,v 1.28 2009-01-31 17:12:21 mjt Exp $
-# make file for tinycdb package
+# Makefile: make file for tinycdb package
 #
 # This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
 # Public domain.
 
-VERSION = 0.77
+VERSION = 0.78
 
 prefix=/usr/local
 exec_prefix=$(prefix)
@@ -20,6 +19,9 @@
 
 CC = cc
 CFLAGS = -O
+CDEFS = -D_FILE_OFFSET_BITS=64
+LD = $(CC)
+LDFLAGS =
 
 AR = ar
 ARFLAGS = rv
@@ -39,9 +41,9 @@
 # The following assumes GNU CC/LD -
 # used for building shared libraries only
 CFLAGS_PIC = -fPIC
-CFLAGS_SHARED = -shared
-CFLAGS_SONAME = -Wl,--soname=
-CFLAGS_VSCRIPT = -Wl,--version-script=
+LDFLAGS_SHARED = -shared
+LDFLAGS_SONAME = -Wl,--soname=
+LDFLAGS_VSCRIPT = -Wl,--version-script=
 
 CP = cp
 
@@ -57,7 +59,8 @@
  tinycdb.spec tests.sh tests.ok \
  $(LIBMAP) $(NSSMAP) \
  ChangeLog NEWS
-DEBIANFILES = debian/control debian/rules debian/copyright debian/changelog
+DEBIANLIST = changelog compat control control.nss copyright libcdb.pc rules
+DEBIANFILES = $(addprefix debian/, $(DEBIANLIST))
 
 all: static
 static: staticlib cdb
@@ -84,27 +87,27 @@
 $(SHAREDLIB): $(LIB_OBJS_PIC) $(LIBMAP)
 	-rm -f $(SOLIB)
 	ln -s $@ $(SOLIB)
-	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ \
-	 $(CFLAGS_SONAME)$(SHAREDLIB) $(CFLAGS_VSCRIPT)$(LIBMAP) \
+	$(LD) $(LDFLAGS) $(LDFLAGS_SHARED) -o $@ \
+	 $(LDFLAGS_SONAME)$(SHAREDLIB) $(LDFLAGS_VSCRIPT)$(LIBMAP) \
 	 $(LIB_OBJS_PIC)
 
 cdb: cdb.o $(CDB_USELIB)
-	$(CC) $(CFLAGS) -o $@ cdb.o $(CDB_USELIB)
+	$(LD) $(LDFLAGS) -o $@ cdb.o $(CDB_USELIB)
 cdb-shared: cdb.o $(SHAREDLIB)
-	$(CC) $(CFLAGS) -o $@ cdb.o $(SHAREDLIB)
+	$(LD) $(LDFLAGS) -o $@ cdb.o $(SHAREDLIB)
 
 $(NSS_CDB): $(NSS_OBJS) $(NSS_USELIB) $(NSSMAP)
-	$(CC) $(CFLAGS) $(CFLAGS_SHARED) -o $@ \
-	 $(CFLAGS_SONAME)$@ $(CFLAGS_VSCRIPT)$(NSSMAP) \
+	$(LD) $(LDFLAGS) $(LDFLAGS_SHARED) -o $@ \
+	 $(LDFLAGS_SONAME)$@ $(LDFLAGS_VSCRIPT)$(NSSMAP) \
 	 $(NSS_OBJS) $(NSS_USELIB)
 
 .SUFFIXES:
 .SUFFIXES: .c .o .lo
 
 .c.o:
-	$(CC) $(CFLAGS) -c $<
+	$(CC) $(CFLAGS) $(CDEFS) -c $<
 .c.lo:
-	$(CC) $(CFLAGS) $(CFLAGS_PIC) -c -o $@ -DNSSCDB_DIR=\"$(NSSCDB_DIR)\" $<
+	$(CC) $(CFLAGS) $(CDEFS) $(CFLAGS_PIC) -c -o $@ -DNSSCDB_DIR=\"$(NSSCDB_DIR)\" $<
 
 cdb.o: cdb.h
 $(LIB_OBJS) $(LIB_OBJS_PIC): cdb_int.h cdb.h

=== debian/changelog ===
tinycdb (0.78build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:57:16 +0000

tinycdb (0.78) unstable; urgency=low

  * new release (0.78), a few minor fixes:
   - fix handling of files >4Gb
   - fix handling of files >2Gb on 32bit platforms (compile with _FILE_OFFSET_BITS=64)
   - fix file size limit test
   - fix compiler warnings (missing #include)
  * make it multiarch-aware (install libs to /usr/lib/$arch)
  * use dpkg-buildflags for CFLAGS/LDFLAGS
  * update Standards-Version to 3.9.3
  * debhelper 7
  * simplify debian/rules quite a bit

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 May 2012 16:33:34 +0400

## tinycdb 0.78build2

=== debian/changelog ===
tinycdb (0.78build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:41 +0200

## tinycdb 0.78build3

=== debian/changelog ===
tinycdb (0.78build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tinycdb
 Section: utils
 Priority: optional
-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.9.3

## tinycdb 0.78-0maemo0

=== debian/changelog ===
tinycdb (0.78-0maemo0) fremantle; urgency=low

  * Packaged for Maemo fremantle.

 -- Murray Cumming <murrayc@openismus.com>  Thu, 29 Oct 2009 13:25:18 +0100

## tinycdb 0.81

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #! /usr/bin/make -rf
 # Makefile: make file for tinycdb package
 #
-# This file is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
-# Public domain.
+# This file is a part of tinycdb package.
+# Copyright (C) 2001-2023 Michael Tokarev <mjt+cdb@corpit.ru>
+# Tinycdb is licensed under MIT license.
 
-VERSION = 0.78
+VERSION = 0.81
 
 prefix=/usr/local
 exec_prefix=$(prefix)
 bindir=$(exec_prefix)/bin
 libdir=$(exec_prefix)/lib
+pkgconfdir=$(libdir)/pkgconfig
 syslibdir=$(libdir)
 sysconfdir=/etc
 includedir=$(prefix)/include
@@ -18,7 +20,7 @@
 DESTDIR=
 
 CC = cc
-CFLAGS = -O
+CFLAGS = -O2
 CDEFS = -D_FILE_OFFSET_BITS=64
 LD = $(CC)
 LDFLAGS =
@@ -27,8 +29,12 @@
 ARFLAGS = rv
 RANLIB = ranlib
 
-NSS_CDB = libnss_cdb.so.2
-LIBBASE = libcdb
+TAR = tar
+SED = sed
+
+BASE = cdb
+NSS_CDB = libnss_$(BASE).so.2
+LIBBASE = lib$(BASE)
 LIB = $(LIBBASE).a
 PICLIB = $(LIBBASE)_pic.a
 SHAREDLIB = $(LIBBASE).so.1
@@ -48,19 +54,17 @@
 CP = cp
 
 LIB_SRCS = cdb_init.c cdb_find.c cdb_findnext.c cdb_seq.c cdb_seek.c \
- cdb_unpack.c \
+ cdb_pack.c cdb_unpack.c \
  cdb_make_add.c cdb_make_put.c cdb_make.c cdb_hash.c
 NSS_SRCS = nss_cdb.c nss_cdb-passwd.c nss_cdb-group.c nss_cdb-spwd.c
 NSSMAP = nss_cdb.map
 
-DISTFILES = Makefile cdb.h cdb_int.h $(LIB_SRCS) cdb.c \
+DISTFILES = LICENSE Makefile cdb.h cdb_int.h $(LIB_SRCS) cdb.c \
  $(NSS_SRCS) nss_cdb.h nss_cdb-Makefile \
  cdb.3 cdb.1 cdb.5 \
  tinycdb.spec tests.sh tests.ok \
  $(LIBMAP) $(NSSMAP) \
- ChangeLog NEWS
-DEBIANLIST = changelog compat control control.nss copyright libcdb.pc rules
-DEBIANFILES = $(addprefix debian/, $(DEBIANLIST))
+ NEWS
 
 all: static
 static: staticlib cdb
@@ -113,17 +117,27 @@
 $(LIB_OBJS) $(LIB_OBJS_PIC): cdb_int.h cdb.h
 $(NSS_OBJS): nss_cdb.h cdb.h
 
+$(LIBBASE).pc: Makefile
+	{ echo 'libdir=$(libdir)'; \
+	  echo 'includedir=$(includedir)'; \
+	  echo 'Name: ${LIBBASE}'; \
+	  echo 'Description: tinycdb - Constant Data Base library'; \
+	  echo 'Version: $(VERSION)'; \
+	  echo 'Libs: -L$${libdir} -l$(BASE)'; \
+	  echo 'Cflags: -I$${includedir}'; \
+	} >$@
+
 clean:
 	-rm -f *.o *.lo core *~ tests.out tests-shared.ok
-realclean distclean:
-	-rm -f *.o *.lo core *~ $(LIBBASE)[._][aps]* $(NSS_CDB)* cdb cdb-shared
+realclean distclean: clean
+	-rm -f $(LIBBASE)[._][aps]* $(NSS_CDB)* cdb cdb-shared $(LIBBASE).pc
 
 test tests check: cdb
 	sh ./tests.sh ./cdb > tests.out 2>&1
 	diff tests.ok tests.out
 	@echo All tests passed
 test-shared tests-shared check-shared: cdb-shared
-	sed 's/^cdb: /cdb-shared: /' <tests.ok >tests-shared.ok
+	$(SED) 's/^cdb: /cdb-shared: /' <tests.ok >tests-shared.ok
 	LD_LIBRARY_PATH=. sh ./tests.sh ./cdb-shared > tests.out 2>&1
 	diff tests-shared.ok tests.out
 	rm -f tests-shared.ok
@@ -139,37 +153,36 @@
    shift 4; \
  done
 
-install-all: all $(INSTALLPROG)
+install-all: all $(INSTALLPROG) $(LIBBASE).pc
 	set -- \
 	 cdb.h 644 $(includedir) - \
 	 cdb.3 644 $(mandir)/man3 - \
 	 cdb.1 644 $(mandir)/man1 - \
 	 cdb.5 644 $(mandir)/man5 - \
 	 $(INSTALLPROG) 755 $(bindir) cdb \
-	 libcdb.a 644 $(libdir) - \
-	 ; \
-	$(do_install)
+	 $(LIB) 644 $(libdir) - \
+	 $(LIBBASE).pc 644 $(pkgconfdir) - \
+	 ; $(do_install)
 install-nss: nss
-	@set -- $(NSS_CDB) 644 $(syslibdir) - \
-	        nss_cdb-Makefile 644 $(sysconfdir) cdb-Makefile ; \
-	$(do_install)
+	@set -- \
+	  $(NSS_CDB) 644 $(syslibdir) - \
+	  nss_cdb-Makefile 644 $(sysconfdir) cdb-Makefile \
+	  ; $(do_install)
 install-sharedlib: sharedlib
-	@set -- $(SHAREDLIB) 644 $(libdir) - ; \
-	$(do_install) ; \
-	ln -sf $(SHAREDLIB) $(DESTDIR)$(libdir)/$(LIBBASE).so
+	@set -- \
+	  $(SHAREDLIB) 644 $(libdir) - \
+	  ; $(do_install)
+	ln -sf $(SHAREDLIB) $(DESTDIR)$(libdir)/$(SOLIB)
 install-piclib: piclib
 	@set -- $(PICLIB) 644 $(libdir) - ; \
 	$(do_install)
 install: install-all
 
 DNAME = tinycdb-$(VERSION)
-dist: $(DNAME).tar.gz
-$(DNAME).tar.gz: $(DISTFILES) $(DEBIANFILES)
-	mkdir $(DNAME) $(DNAME)/debian
-	ln $(DISTFILES) $(DNAME)/
-	ln $(DEBIANFILES) $(DNAME)/debian/
-	tar cfz $@ $(DNAME)
-	rm -fr $(DNAME)
+dist: ../$(DNAME).tar.gz
+../$(DNAME).tar.gz: $(DISTFILES)
+	rm -f $@
+	$(TAR) cfz $@ --transform='s|^|$(DNAME)/|' $(DISTFILES)
 
 .PHONY: all clean realclean dist spec
 .PHONY: test tests check test-shared tests-shared check-shared

=== debian/changelog ===
tinycdb (0.81-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk provide ${CC}.
    Closes: #1088376

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Jan 2025 21:17:02 +0300

tinycdb (0.81-1) unstable; urgency=medium

  * new upstream release
  * relicense under MIT license
  * use upstream-generated libcdb.pc (Closes: #1058068)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 25 Dec 2023 23:57:41 +0300

tinycdb (0.80-3) unstable; urgency=medium

  * actually add Replaces/Breaks for cdb.5

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Sep 2023 08:13:24 +0300

tinycdb (0.80-2) unstable; urgency=medium

  * since cdb.5 has been moved from tinycdb to libcdb1 (since this manpage
    is referenced in cdb.3 too), add Replaces/Breaks (Closes: #1052136)
  * install NEWS to tinycdb too

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Sep 2023 08:03:55 +0300

tinycdb (0.80-1) unstable; urgency=medium

  * new upstream minor release
    (fixes build/test SIGXFSZ issues)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 17 Sep 2023 16:58:10 +0300

tinycdb (0.79-1) unstable; urgency=medium

  * new upstream minor release (now without debian/ subdir)
  * acknowledge the bin-NMU for 0.78-0.1. Thank you for doing it!
  * d/rules: convert to dh sequence, use d/*.install files
  * d/control:
    debhelper-compat=13
    Std-Ver: 4.6.2
    libcdb-dev M-A: same
    Rules-Requires-Root: binary-targets
    add Homepage
    fix ${misc:Depends}
  * add d/libcdb1.symbols file
  * add d/libcdb1.lintian-overrides with hardening-no-fortify-functions
  * d/copyright: convert to dep-5 format

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 17 Sep 2023 14:00:22 +0300

tinycdb (0.78-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007646)
    + Drop the unnecessary upstream change introducing DEBIANLIST

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #901325)

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 11:01:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: tinycdb
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Tokarev <mjt@tls.msk.ru>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Rules-Requires-Root: binary-targets
+Homepage: http://www.corpit.ru/mjt/tinycdb.html
 
 Package: tinycdb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: an utility to manipulate constant databases (cdb)
+Description: utility to manipulate constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
  library for creating and reading constant databases. The database
  structure is tuned for fast reading.
@@ -22,6 +23,9 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+# cdb.5 move tinycdb=>libcdb1 in 0.79
+Replaces: tinycdb (<< 0.79)
+Breaks: tinycdb (<< 0.79)
 Multi-Arch: same
 Description: shared library for constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
@@ -37,6 +41,7 @@
 Depends: libcdb1 (= ${binary:Version}), ${misc:Depends}
 Recommends: tinycdb
 Replaces: tinycdb (<< 0.75)
+Multi-Arch: same
 Description: development files for constant databases (cdb)
  tinycdb is a small, fast and reliable utility and subroutine
  library for creating and reading constant databases. The database

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs

build-arch   build-indep   build \
install-arch install-indep install \
binary-arch  binary-indep  binary \
:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr \
	    CC="${CC}" CFLAGS="${CFLAGS}" CDEFS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" \
	    staticlib cdb sharedlib cdb-shared libcdb.pc # nss

override_dh_auto_install:
# nothing

clean:
	${MAKE} distclean
	dh_clean
